<template>
  <div class="navbar-menu-wrapper h-full">
    <div id="navbar-menu" class="navbar-menu flex items-center h-full">
      <div class="navbar-items flex items-center">
        <template v-for="(item, index) in items">
          <navbar-dropdown-item
            v-if="item.children.length"
            :key="index"
            class="mx-2"
            style="line-height: var(--navbar-h)"
          >
            <template #default>
              <navbar-menu-item v-if="item.path" v-bind="item" />
              <span v-else>{{ item.label }}</span>
            </template>

            <template #items>
              <template v-for="(childItem, idx) in item.children">
                <navbar-menu-item
                  :key="idx"
                  v-bind="childItem"
                  class="my-3 leading-normal"
                />
              </template>
            </template>
          </navbar-dropdown-item>

          <navbar-menu-item
            v-else
            :key="item.id"
            v-bind="item"
            class="mx-2"
            style="line-height: var(--navbar-h)"
          />
        </template>
      </div>
      <div class="navbar-actions">
        <template v-for="(action, index) in actions">
          <button-link
            :key="index"
            :to="action.path"
            class="ml-4"
            :class="`btn-${action.btn}`"
          >
            {{ action.label }}
          </button-link>
        </template>
      </div>
    </div>
  </div>
</template>

<script>
import NavbarDropdownItem from './NavbarDropdownItem';
import NavbarMenuItem from './NavbarMenuItem';

export default {
  name: 'NavbarMenuDesktop',
  components: {
    NavbarDropdownItem,
    NavbarMenuItem,
  },
  props: {
    items: { type: Array, default: () => [] },
    actions: { type: Array, default: () => [] },
  },
};
</script>
